+ Reply to Thread
Results 1 to 10 of 10
  1. #1
    Forum Newbie
    Using
    AutoCAD 2004
    Join Date
    Mar 2008
    Posts
    5

    Default How Do I....find a midpoint?



    I think the picture says it please help lol

  2. #2
    Super Moderator rkmcswain's Avatar
    Computer Details
    rkmcswain's Computer Details
    Operating System:
    Windows 7 Pro x64
    Motherboard:
    Intel DZ77RE-75K
    CPU:
    i7-3770K 3.50GHz
    RAM:
    32GB
    Graphics:
    Nvidia Quadro 2000
    Primary Storage:
    125GB SSD
    Secondary Storage:
    500GB SATA
    Monitor:
    ASUS 27" / ASUS 24"
    Discipline
    Civil
    Using
    Civil 3D 2014
    Join Date
    Sep 2005
    Location
    Houston
    Posts
    3,878

    Default

    M2P - Midpoint between two endpoints?

  3. #3
    Forum Newbie
    Using
    AutoCAD 2004
    Join Date
    Mar 2008
    Posts
    5

    Default

    m2P... NEVER HEARD OF IT lol im a newbee

    i will look up for it

    thanks anyway

  4. #4
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro 4000, 2GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2015
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    39,456

    Default

    I do not believe M2P or MTP was available in AutoCAD 2004. However it is available in 2007. AutoCAD Helps has this to say about it:

    "The midpoint between two points (MTP) command modifier can be used with running object snaps or object snap overrides."

    kaz_gold: Why not just use your midpoint osnap?
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge! I've gone over to the dark side.

  5. #5
    Super Moderator rkmcswain's Avatar
    Computer Details
    rkmcswain's Computer Details
    Operating System:
    Windows 7 Pro x64
    Motherboard:
    Intel DZ77RE-75K
    CPU:
    i7-3770K 3.50GHz
    RAM:
    32GB
    Graphics:
    Nvidia Quadro 2000
    Primary Storage:
    125GB SSD
    Secondary Storage:
    500GB SATA
    Monitor:
    ASUS 27" / ASUS 24"
    Discipline
    Civil
    Using
    Civil 3D 2014
    Join Date
    Sep 2005
    Location
    Houston
    Posts
    3,878

    Exclamation

    Quote Originally Posted by ReMark View Post
    I do not believe M2P or MTP was available in AutoCAD 2004.
    Introduced in 2005 I believe. I missed the fact that the OP was on 2004...

    However the OP can still use 'CAL+MEE in place of M2P.

    Quote Originally Posted by ReMark View Post
    kaz_gold: Why not just use your midpoint osnap?
    Maybe there are multiple line segments and 'MID would do no good? Hard to say without having the .DWG file.

  6. #6
    Senior Member azzro10's Avatar
    Computer Details
    azzro10's Computer Details
    Operating System:
    XP Pro
    Using
    AutoCAD 2010
    Join Date
    Dec 2007
    Location
    Melbourne, Australia
    Posts
    311

    Default

    Quote Originally Posted by rkmcswain View Post

    Maybe there are multiple line segments and 'MID would do no good? Hard to say without having the .DWG file.
    he could just draw another line then as a reference n then erase it wen hes finished
    You can get it jumpin' You can get it pumpin' You can get it chasing a cow. Matter o' fact, I got it now.

  7. #7
    Forum Deity
    Using
    Civil 3D 2008
    Join Date
    Sep 2006
    Location
    Pittsburgh, PA, USA
    Posts
    3,581

    Default

    Here's m2p for those who don't have it, add it to the acaddoc.lsp file. 'm2p to invoke it transparently, or put 'm2p on a button.
    Code:
    (defun mid2pt (p1 p2 / x y z)
     (setq x (/ (+ (car p1)(car p2)) 2))
     (setq y (/ (+ (cadr p1)(cadr p2)) 2))
     (setq z (/ (+ (caddr p1)(caddr p2)) 2))
     (list x y z))
    (defun c:m2p ( / p1 p2)
     (setq p1 (getpoint "\nFirst point: "))
     (setq p2 (getpoint "\nSecond point: "))
     (mid2pt p1 p2))

  8. #8
    Senior Member khama's Avatar
    Computer Details
    khama's Computer Details
    Operating System:
    Windows 7 Ultimate
    Computer:
    INTEL CUSTOM i5
    Motherboard:
    GIGABYTE HD55-UD3A i7
    CPU:
    CORE I5 3.2GHz
    RAM:
    6GB CORSAIR DDR-3
    Graphics:
    NVIDIA Quadro FX 3800 Graphics adapter - 1 GB - GDDR3 SDRAM
    Primary Storage:
    SAMSUNG 660GB SATA
    Secondary Storage:
    SAMSUNG 1TB
    Monitor:
    2 x DELL PRECISION 30"
    Discipline
    Mechanical
    khama's Discipline Details
    Occupation
    Project Leader, Engineering, Oil and Gas and Materials Handling
    Discipline
    Mechanical
    Details
    Mechanical is my strongest Discipline. Civil and Structural are all strengths for me too.
    Using
    AutoCAD 2011
    Join Date
    Mar 2008
    Location
    Australia
    Posts
    206

    Default

    If the length of the beam at point load center was needed.. wouldn't you just need the centroid of the beam that is holding it?? If the knee braces and columns are equal to the distance between the weight in the beam that is holding the weight.. Point load X Length of beam cubed / 48EI will give you the deflection @ 1.5 Tonne SWL... You can then work the shear forces with a shear force diagram.. From the picture, in the middle is maximum bending moment..

    You can do this by typing;
    L (enter)
    shift+right click
    select "mid between 2 points" from the list
    select the 2 midpoints of the end of the beam..
    Last edited by khama; 25th Mar 2008 at 03:02 pm.
    Khama
    Bachelor of Science Mechanical Engineering
    Diploma Civil & Structural Engineering
    Diploma Engineering NDT

  9. #9
    Full Member quasifun's Avatar
    Using
    AutoCAD LT 2007
    Join Date
    Mar 2007
    Posts
    46

    Default

    Turn on snaps, make sure midpoint is checked. Then when you choose line (or whatever) the triangle points to the mid point. This assumes that the gantry crane is symetrical.

    Be careful on this forum, it's more addictive than solitaire.

  10. #10
    Super Moderator Strix's Avatar
    Using
    not applicable
    Join Date
    Nov 2005
    Location
    Sheffield UK
    Posts
    3,074

    Default

    Registered forum members do not see this ad.

    or....

    (looking at your screen layout so assuming you're drawing from toolbars)

    right click the toolbars and select the snaps toolbar to show, then invoke the draw command, but select the midpoint icon from your new toolbar before selecting your start point
    Find your new best friend at Rain Rescue

    If you are a good drafter, tech will help. If you are a bad drafter, nothing will help. - Jack_O'neill at CADTutor

Similar Threads

  1. How to find COG?
    By Cadastrophic in forum AutoCAD General
    Replies: 7
    Last Post: 14th Oct 2011, 05:16 pm
  2. find the midpoint between two point features thru lisp
    By vivekgrs in forum AutoLISP, Visual LISP & DCL
    Replies: 5
    Last Post: 4th Aug 2006, 01:47 pm
  3. where to find
    By kesten3 in forum AutoCAD Beginners' Area
    Replies: 1
    Last Post: 30th Jul 2006, 02:42 pm
  4. separate a line at midpoint
    By jocaan in forum AutoCAD Beginners' Area
    Replies: 5
    Last Post: 28th Feb 2004, 11:24 am

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts